﻿// See https://aka.ms/new-console-template for more information

using PdbFind.Lib;

if (args.Length < 1)
{
    Console.WriteLine("Usage: PdbFind <File>");
    Environment.ExitCode = 1;
    return;
}

var file = args[0];
var store = @"\\cpsrvbuild10\symbols";

if (args.Length >= 2)
{
    store = args[1];
}

var path = Locator.LocatePdbInStore(file, store);
Console.WriteLine($"PDB Location: {path}");
if (!File.Exists(path))
{
    Environment.ExitCode = 1;
    Console.WriteLine("PDB not found in store");
}